> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Stock Locations



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/stock/locations
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/stock/locations:
    get:
      tags:
        - Stock
      summary: List Stock Locations
      operationId: list_stock_locations_api_v1_stock_locations_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: stockDomain
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stockdomain
        - name: locationType
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Locationtype
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: name
            title: Sort
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedStockLocationsResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaginatedStockLocationsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/StockLocationResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/routers__external__stock__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedStockLocationsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StockLocationResponse:
      properties:
        id:
          type: string
          title: Id
        logisticsLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Logisticslocationid
        logisticsLocationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Logisticslocationname
        parentLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Parentlocationid
        parentLocationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Parentlocationname
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        name:
          type: string
          title: Name
        locationType:
          type: string
          title: Locationtype
        stockDomain:
          type: string
          title: Stockdomain
        isActive:
          type: boolean
          title: Isactive
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - name
        - locationType
        - stockDomain
        - isActive
      title: StockLocationResponse
    routers__external__stock__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````